module PageContent

  OrbitApp.registration "PageContent",:type=> 'ModuleApp' do
    module_label 'page'
    base_url File.expand_path File.dirname(__FILE__)    
    # personal_plugin :enable => true,:path=>"panel/announcement/plugin/profile",:i18n=>'admin.announcement'
    
    version "0.1"
    organization "Rulingcom"
    author "RD dep"
    intro "I am intro"
    update_info 'some update_info'

    authorizable do
      authorizable_on('PageContext')
    end

    front_end do
      app_page 'page_contexts' do 
        frontend_i18n "page_content.frontend.page"
      end
    end
    
    side_bar do
      head_label_i18n  'page',:icon_class=>"icons-newspaper"
      available_for [:admin,:guest,:manager,:sub_manager]
      active_for_controllers ({:private=>['page_contexts']})
      active_for_object_auth ['PageContext'] 

      head_link_path "panel_page_content_back_end_page_contexts_path"

      context_link  'all',
                    :link_path => "panel_page_content_back_end_page_contexts_path",
                    :priority => 1,
                    :active_for_action => {:page_contexts => :index},
                    :available_for => [:all]
    end
  end
end
